> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# landingpage

## "landingpage" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.LandingpageProvider">LandingpageProvider</see> class.
The name of the MDO list is 'landingpage'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/landingpage
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("landingpage", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "landingpageheadings"
* "landingpageheadingswithallitem"
* "landingpageheadingswithallitemwithnoselection"
* "landingpageheadingswithnoselection"
* "landingpagewithallitem"
* "landingpagewithallitemwithnoselection"
* "landingpagewithnoselection"


## Related topics

- [Enum values for LandingPageTabType](/en/database/tables/enums/landingpagetabtype.md)
- [SuperOffice.WebApi.Data.LandingPageEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.LandingPageEntity.md)
- [What's new in version 12.0.342.0](/release-notes/database/changes-12.0.342.md)
- [What's new in version 12.1.1412.0](/release-notes/database/changes-12.1.1412.md)
- [What's new in version 12.2.2072.0](/release-notes/database/changes-12.2.2072.md)
- [What's new in version 12.3.2195.0](/release-notes/database/changelog.md)
